
Conversion Tools - Bug #5137

any text following a # character in the include or exclude file list is ignored

02/10/2021 07:58 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Greg Shah % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Conversion Tools - Bug #5135: replace -s, -f and -x options of Con... Closed

Related to Conversion Tools - Feature #3927: conversion mode that takes a fil... Closed

History

#1 - 02/10/2021 08:00 AM - Greg Shah

Any text following a # character in the include (-f option for ConversionDriver) or exclude file list (-x option for ConversionDriver) is ignored.  This is a

problem because it is perfectly valid to have a # inside a filename.

The best solution is probably to honor this only if the # is the first character on the line.  In #5135, this might even be expanded to be a "directive".

#2 - 02/10/2021 08:00 AM - Greg Shah

- Related to Bug #5135: replace -s, -f and -x options of ConversionDriver with a single combined mode added

#3 - 02/10/2021 08:00 AM - Greg Shah

- Related to Feature #3927: conversion mode that takes a file spec and a file blacklist added

#4 - 07/08/2021 11:53 AM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

- Assignee set to Greg Shah

Fixed in 3821c revision 12645.  We now only honor a # character as a comment if it is the first character on the line.  All other cases are allowed as

part of a filename.

#5 - 07/08/2021 11:54 AM - Greg Shah

The documentation has been updated.
